From e0242b30a359cd855e81f491743e5c0664bef6d8 Mon Sep 17 00:00:00 2001
From: Andy Postnikov <apostnikov@gmail.com>
Date: Fri, 5 Jul 2024 18:51:06 +0200
Subject: [PATCH] Update SampleUploadedFileFactory.inc for PHP 8.4

https://wiki.php.net/rfc/deprecate-implicitly-nullable-types
---
 tests/SampleUploadedFileFactory.inc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/SampleUploadedFileFactory.inc b/tests/SampleUploadedFileFactory.inc
index b5aadae..626c245 100644
--- a/tests/SampleUploadedFileFactory.inc
+++ b/tests/SampleUploadedFileFactory.inc
@@ -8,10 +8,10 @@ class SampleUploadedFileFactory implements UploadedFileFactoryInterface
 {
     public function createUploadedFile(
         StreamInterface $stream,
-        int $size = null,
+        ?int $size = null,
         int $error = \UPLOAD_ERR_OK,
-        string $clientFilename = null,
-        string $clientMediaType = null
+        ?string $clientFilename = null,
+        ?string $clientMediaType = null
     ): UploadedFileInterface
     {
         var_dump(__METHOD__, $stream, $size, $error, $clientFilename, $clientMediaType);
